Bug 724005 (CVE-2011-2709)

Summary: CVE-2011-2709 libgssapi, libgssglue: Ability to load untrusted configuration file, when loading GSS mechanisms and their definitions during initialization
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: steved
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20110518,reported=20110611,source=suse,cvss2=6.2/AV:L/AC:H/Au:N/C:C/I:C/A:C,rhel-4/libgssapi=wontfix,rhel-5/libgssapi=wontfix,rhel-6/libgssglue=wontfix,fedora-all/libgssapi=affected,fedora-all/libgssglue=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-22 12:07:22 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 724008, 724009    
Bug Blocks: 724019    

Description Jan Lieskovsky 2011-07-21 13:32:26 EDT
It was found that libgssapi and libgssglue GSSAPI interface exporting libraries did not properly sanitize content of user-provided configuration file, determining which GSS mechanisms and their definitions will be loaded during library initialization. A local attacker, allowed to mount a network file system (NFS) share could use this flaw to execute arbitrary code with the privileges of the the privileged system user (root).

References:
[1] https://bugzilla.novell.com/show_bug.cgi?id=694598
[2] http://lists.opensuse.org/opensuse-security-announce/2011-06/msg00013.html
[3] http://lwn.net/Alerts/449415/

Links to patches, applied by SUSE Linux distribution (couldn't find their 
related source code form though):
[4] http://download.novell.com/patch/finder/?keywords=5b5de538464acbf06386b39d37563e66
[5] http://download.novell.com/patch/finder/?keywords=88b0a4c3666d54637f8fff06918865ef
[6] http://download.novell.com/patch/finder/?keywords=f3c8cc7c70c0e2250dce0f068395c09e
Comment 1 Jan Lieskovsky 2011-07-21 13:35:38 EDT
This issue affects the versions of the libgssapi package, as shipped with Red Hat Enterprise Linux 4 and 5.

--

This issue affects the version of the libgssglue package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the libgssapi package, as shipped with Fedora release of 14 and 15.

This issue affects the versions of the libgssglue package, as shipped with Fedora release of 14 and 15.

Please schedule an update.
Comment 2 Jan Lieskovsky 2011-07-21 13:36:45 EDT
Created libgssglue tracking bugs for this issue

Affects: fedora-all [bug 724009]
Comment 3 Jan Lieskovsky 2011-07-21 13:36:49 EDT
Created libgssapi tracking bugs for this issue

Affects: fedora-all [bug 724008]
Comment 4 Jan Lieskovsky 2011-07-21 13:44:16 EDT
Request for CVE and plaintext version of the patches:
[7] http://www.openwall.com/lists/oss-security/2011/07/21/3
Comment 5 Jan Lieskovsky 2011-07-24 09:23:09 EDT
The CVE identifier of CVE-2011-2709 has been assigned to this issue:
[8] http://www.openwall.com/lists/oss-security/2011/07/22/4
Comment 7 Tomas Hoger 2011-08-15 02:52:00 EDT
Patch that was used by SUSE:
http://thread.gmane.org/gmane.comp.security.oss.general/5544/focus=5712

It checks for uid != euid to handle setuid mount.nfs use case.  Adding gid != egid check to cover possible setgid use case (even though none seem to be known at the moment) seems like a reasonable extension to SUSE's fix.
Comment 9 Stefan Cornelius 2012-05-09 07:45:35 EDT
Upstream fixed this in libgssglue-0.4:
http://www.citi.umich.edu/projects/nfsv4/linux/libgssglue/libgssglue-0.4.tar.gz
Comment 11 Stefan Cornelius 2012-12-18 04:49:36 EST
Although the library is affected by this vulnerability, we are not aware of an application shipping as part of RHEL that would offer a suitable attack vector to actually exploit this vulnerability in a way that would cross security boundaries.

It can't be ruled out completely that third party applications offer a suitable attack vector (e.g. a suid/sgid binary that triggers the affected initialization routines of the library). However, we are currently not aware of such an application.

Thus, this issue has been rated as having a low security impact, even though the theoretical CVSSv2 score is quite high. It's still being tracked and a future update may address this issue.
Comment 12 Vincent Danen 2015-08-22 12:07:08 EDT
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.